Bug 831074 - SELinux is preventing snort from 'create' accesses on the netlink_socket .
SELinux is preventing snort from 'create' accesses on the netlink_socket .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f7f15ab7d1660dd15df873f9f0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 03:07 EDT by mamii
Modified: 2012-06-30 17:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:51:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mamii 2012-06-12 03:07:05 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.2-1.fc17.x86_64
time:           Tue 12 Jun 2012 08:06:49 AM CET

description:
:SELinux is preventing snort from 'create' accesses on the netlink_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that snort should be allowed create access on the  netlink_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep snort /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:snort_t:s0
:Target Context                system_u:system_r:snort_t:s0
:Target Objects                 [ netlink_socket ]
:Source                        snort
:Source Path                   snort
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.2-1.fc17.x86_64 #1 SMP
:                              Sat Jun 9 19:03:08 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Tue 12 Jun 2012 08:05:54 AM CET
:Last Seen                     Tue 12 Jun 2012 08:05:54 AM CET
:Local ID                      47071570-5695-49ac-baa8-f3da0eeab652
:
:Raw Audit Messages
:type=AVC msg=audit(1339484754.474:56): avc:  denied  { create } for  pid=1156 comm="snort" scontext=system_u:system_r:snort_t:s0 tcontext=system_u:system_r:snort_t:s0 tclass=netlink_socket
:
:
:Hash: snort,snort_t,snort_t,netlink_socket,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-12 06:09:32 EDT
Could you please execute

# semanage permissive -a snort_t

which will make snort_t domain as permissive and re-test it and then execute

# ausearch -m avc -ts recent

which will get us AVC msgs. Thank you.
Comment 2 Miroslav Grepl 2012-06-22 04:36:37 EDT
Fixed in selinux-policy-3.10.0-133.fc17
Comment 3 Fedora Update System 2012-06-26 17:47:34 EDT
selinux-policy-3.10.0-134.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-134.fc17
Comment 4 Fedora Update System 2012-06-27 23:37:23 EDT
Package selinux-policy-3.10.0-134.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-134.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10008/selinux-policy-3.10.0-134.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-30 17:51:20 EDT
selinux-policy-3.10.0-134.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.